Package: groovy.org.codenarc.analyzer

## [Groovy] Class AbstractSourceAnalyzer

- groovy.org.codenarc.analyzer.AbstractSourceAnalyzer

- All Implemented Interfaces and Traits:
    SourceAnalyzer

      @SuppressWarnings('AbstractClassWithoutAbstractMethod')
      abstract class AbstractSourceAnalyzer

  Common functionality for SourceAnalyzers.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List<Violation>` | `collectViolations(SourceCode sourceCode, RuleSet ruleSet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected List<Violation> collectViolations(SourceCode sourceCode, RuleSet ruleSet)